# This file created by conda-build 3.24.0
# meta.yaml template originally from:
# /opt/recipe, last modified Thu Feb 22 07:16:17 2024
# ------------------------------------------------

package:
  name: mehari
  version: 0.23.1
source:
  sha256: fd025d56c0d13c6e48c4fcfff799bace96ec267317993c255bfbbfe8bb7dafac
  url: https://github.com/varfish-org/mehari/archive/v0.23.1.tar.gz
build:
  number: '0'
  run_exports:
    - mehari >=0.23.1,<0.24.0a0
  string: h7e29777_0
requirements:
  build:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - binutils_linux-64 2.40 hbdbef99_2
    - bzip2 1.0.8 hd590300_5
    - c-ares 1.26.0 hd590300_0
    - ca-certificates 2024.2.2 hbcca054_0
    - cmake 3.28.3 hcfe8598_0
    - gcc_impl_linux-64 12.3.0 he2b93b0_5
    - gcc_linux-64 12.3.0 h76fc315_2
    - gxx_impl_linux-64 12.3.0 he2b93b0_5
    - gxx_linux-64 12.3.0 h8a814eb_2
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - keyutils 1.6.1 h166bdaf_0
    - krb5 1.21.2 h659d440_0
    - ld_impl_linux-64 2.40 h41732ed_0
    - libabseil 20240116.1 cxx17_h59595ed_0
    - libcurl 8.5.0 hca28451_0
    - libedit 3.1.20191231 he28a2e2_2
    - libev 4.33 hd590300_2
    - libexpat 2.5.0 hcb278e6_1
    - libffi 3.4.2 h7f98852_5
    - libgcc-devel_linux-64 12.3.0 h8bca6fd_105
    - libgcc-ng 13.2.0 h807b86a_5
    - libgomp 13.2.0 h807b86a_5
    - libnghttp2 1.58.0 h47da74e_1
    - libnsl 2.0.1 hd590300_0
    - libprotobuf 4.25.2 h08a7969_1
    - libsanitizer 12.3.0 h0f45ef3_5
    - libsqlite 3.45.1 h2797004_0
    - libssh2 1.11.0 h0841786_0
    - libstdcxx-devel_linux-64 12.3.0 h8bca6fd_105
    - libstdcxx-ng 13.2.0 h7e041cc_5
    - libuuid 2.38.1 h0b41bf4_0
    - libuv 1.47.0 hd590300_0
    - libxcrypt 4.4.36 hd590300_1
    - libzlib 1.2.13 hd590300_5
    - make 4.3 hd18ef5c_1
    - ncurses 6.4 h59595ed_2
    - openssl 3.2.1 hd590300_0
    - pip 24.0 pyhd8ed1ab_0
    - pkg-config 0.29.2 h36c2ea0_1008
    - protobuf 4.25.2 py312h72fbbdf_0
    - python 3.12.2 hab00c5b_0_cpython
    - python_abi 3.12 4_cp312
    - readline 8.2 h8228510_1
    - rhash 1.4.4 hd590300_0
    - rust 1.76.0 h70c747d_0
    - rust-std-x86_64-unknown-linux-gnu 1.76.0 h2c6d0dc_0
    - rust_linux-64 1.76.0 h2b2bcf5_1
    - setuptools 69.1.0 pyhd8ed1ab_1
    - sysroot_linux-64 2.12 he073ed8_17
    - tk 8.6.13 noxft_h4845f30_101
    - tzdata 2024a h0c530f3_0
    - wheel 0.42.0 pyhd8ed1ab_0
    - xz 5.2.6 h166bdaf_0
    - zstd 1.5.5 hfc55251_0
  host:
    - _libgcc_mutex 0.1 conda_forge
    - _openmp_mutex 4.5 2_gnu
    - binutils_impl_linux-64 2.40 hf600244_0
    - ca-certificates 2024.2.2 hbcca054_0
    - clang 17.0.6 hda56bd4_2
    - clang-17 17.0.6 default_hb11cfb5_2
    - clang-format 17.0.6 default_hb11cfb5_2
    - clang-format-17 17.0.6 default_hb11cfb5_2
    - clang-tools 17.0.6 default_hb11cfb5_2
    - clangdev 17.0.6 default_hb11cfb5_2
    - clangxx 17.0.6 default_hb11cfb5_2
    - icu 73.2 h59595ed_0
    - kernel-headers_linux-64 2.6.32 he073ed8_17
    - ld_impl_linux-64 2.40 h41732ed_0
    - libclang 17.0.6 default_hb11cfb5_2
    - libclang-cpp 17.0.6 default_hb11cfb5_2
    - libclang-cpp17 17.0.6 default_hb11cfb5_2
    - libclang13 17.0.6 default_ha2b6cf4_2
    - libgcc-devel_linux-64 13.2.0 ha9c7c90_105
    - libgcc-ng 13.2.0 h807b86a_5
    - libgomp 13.2.0 h807b86a_5
    - libiconv 1.17 hd590300_2
    - libllvm17 17.0.6 hb3ce162_1
    - libsqlite 3.45.1 h2797004_0
    - libstdcxx-devel_linux-64 13.2.0 ha9c7c90_105
    - libstdcxx-ng 13.2.0 h7e041cc_5
    - libxml2 2.12.5 h232c23b_0
    - libzlib 1.2.13 hd590300_5
    - llvm-tools 17.0.6 hb3ce162_1
    - llvmdev 17.0.6 hb3ce162_1
    - ncurses 6.4 h59595ed_2
    - openssl 3.2.1 hd590300_0
    - readline 8.2 h8228510_1
    - sqlite 3.45.1 h2c6b66d_0
    - sysroot_linux-64 2.12 he073ed8_17
    - xz 5.2.6 h166bdaf_0
    - zlib 1.2.13 hd590300_5
    - zstd 1.5.5 hfc55251_0
  run:
    - libgcc-ng >=12
    - libsqlite >=3.45.1,<4.0a0
    - libstdcxx-ng >=12
    - libzlib >=1.2.13,<1.3.0a0
    - openssl >=3.2.1,<4.0a0
    - sqlite
test:
  commands:
    - mehari -h
about:
  home: https://github.com/varfish-org/mehari
  license: MIT
  summary: VEP-like tool for sequence ontology and HGVS annotation of VCF files written
    in Rust.
extra:
  copy_test_source_files: true
  final: true
